Subject: [sipcore] Third Pary Privacy in SIP

From: Ian Elz <[email-masked]>
Date: Fri, 7 Jan 2011 10:16:33 +0000 (GMT)

All,

I raised the issue of 3rd party identity privacy in SIP as part of the initial 
draft 4424bis discussions.

The issue arises as the existing Privacy mechanism as defined in RFC3323 only 
considers privacy for identities for the parties involved in the dialog/session. 
This occurs as when RFC3323 was written there was no concept of inclusion of 3rd 
party identities in the SIP messages. RFC4424, History-info, and the 4424bis 
draft do consider the 3rd party privacy but only from the context of identities 
included in the H-I entries. The key header which currently has no privacy 
mechanism is Referred-by but a more flexible mechanism, backwardly compatible 
with the existing RFCs, could also be applicable to future extensions.

Before I attempt to begin this task I have three questions:

1. Is this worth pursuing?

2. Is sipcore the correct place for this discussion or should this issue be 
raised via dispatch with the possibility of a new WG for this work? (and all the 
associated stuff relating 

3. Should this work be a new draft which is addative to the existing RFC3325 and 
the associated changes for the 'id' privacy in RFC3325 or should a new Privacy 
draft be written which includes all the existing RFC3323 and RFC3325 
information? ( There may be an issue with the latter in that RFC3325 is 
Informational as it realtes to the P- header "P-Asserted-Identity".)

Ian Elz

---

From: "Elwell, John" <[email-masked]>
Date: Fri, 7 Jan 2011 11:22:42 +0100

Ian,

Concerning your first question, perhaps a short I-D describing the problem would be a way to solicit answers. I would say submit it to DISPATCH.  It is too early to consider your third question.

John

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Ian Elz
> Sent: 07 January 2011 10:17
> To: [email-masked]
> Subject: [sipcore] Third Pary Privacy in SIP
> 
> All,
> 
> I raised the issue of 3rd party identity privacy in SIP as 
> part of the initial draft 4424bis discussions.
> 
> The issue arises as the existing Privacy mechanism as defined 
> in RFC3323 only considers privacy for identities for the 
> parties involved in the dialog/session. This occurs as when 
> RFC3323 was written there was no concept of inclusion of 3rd 
> party identities in the SIP messages. RFC4424, History-info, 
> and the 4424bis draft do consider the 3rd party privacy but 
> only from the context of identities included in the H-I 
> entries. The key header which currently has no privacy 
> mechanism is Referred-by but a more flexible mechanism, 
> backwardly compatible with the existing RFCs, could also be 
> applicable to future extensions.
> 
> 2. Is sipcore the correct place for this discussion or should 
> this issue be raised via dispatch with the possibility of a 
> new WG for this work? (and all the associated stuff relating 
> 
> 3. Should this work be a new draft which is addative to the 
> existing RFC3325 and the associated changes for the 'id' 
> privacy in RFC3325 or should a new Privacy draft be written 
> which includes all the existing RFC3323 and RFC3325 
> information? ( There may be an issue with the latter in that 
> RFC3325 is Informational as it realtes to the P- header 
> "P-Asserted-Identity".)
> 
> 
> Ian Elz
> 
> 
>

---

From: Paul Kyzivat <[email-masked]>
Date: Fri, 07 Jan 2011 09:56:58 -0500

+1

On 1/7/2011 5:22 AM, Elwell, John wrote:
> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore
>